# Get routing configuration

Returns the routing configuration for the provided identifier.

Endpoint: POST /routing-configs/get
Version: 2.0.0
Security: bearerAuth

## Request fields (application/json):

  - `id` (string, required)
    Unique routing configuration identifier.
    Example: cfg_01KQF1NX2BYTKZZMR5F62NGJPQ

## Response 200 fields (application/json):

  - `id` (string, required)
    Unique identifier of the routing configuration.
    Example: cfg_01KQF1NX2BYTKZZMR5F62NGJPQ

  - `payment_method_group` (string, required)
    Payment method group that the routing configuration applies to.
    Enum: "CARD", "DIGITAL_WALLET", "MERCHANT_MANAGED_NETWORK_TOKEN"

  - `title` (string, required)
    Human-readable routing configuration title.
    Example: Default routing config

  - `description` (string)
    Routing configuration description.
    Example: Default routing for digital wallets

  - `channel_id` (string, required)
    Identifier of the channel that the routing configuration belongs to.
    Example: chn_01J1Z2X3Y4W5V6U7T8S9R0

  - `latest_version_id` (string, required)
    Identifier of the most recent routing configuration version.
    Example: cfgv_01KS52NE57E3SBT4MK06ENY5JE

  - `latest_published_version_id` (string)
    Identifier of the most recently published routing configuration version.
    Example: cfgv_01KS52NE57E3SBT4MK06ENY5JE

  - `created_at` (string, required)
    Date and time when the routing configuration was created.
    Example: 2026-05-18T13:58:02.062000Z

  - `updated_at` (string, required)
    Date and time when the routing configuration was updated.
    Example: 2026-05-21T10:52:55.814000Z

## Response 400 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "VALIDATION"

  - `message` (string, required)
    Message describing the error.
    Example: One or more fields failed validation due to constraints

  - `context` (object, required)
    Additional context about the validation error, including specific constraints.
    Example: {"constraints":{"email":{"type":"TYPE","message":"The 'email' field must be a valid email address"},"age":{"type":"MIN","message":"The 'age' field must be a number greater than or equal to 18"}}}

## Response 401 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "UNAUTHENTICATED"

  - `message` (string, required)
    Message describing the error.
    Example: Credentials are invalid or missing

## Response 403 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "PERMISSION_DENIED"

  - `message` (string, required)
    Message describing the error.
    Example: Permission denied

## Response 404 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "NOT_FOUND"

  - `message` (string, required)
    Message describing the error. The entity varies by endpoint.
    Example: The requested resource could not be found

## Response 429 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "RATE_LIMIT"

  - `message` (string, required)
    Message describing the error.
    Example: Rate limit exhausted

  - `context` (object)
    Additional context about the error.

  - `context.next_try_at` (string)
    Timestamp indicating when to retry the request.
    Example: 2024-12-31T23:59:59.000000Z

